<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:id="services.smartclient.config" xml:lang="en"
         xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>smartclient service configuration</title>
  </info>

  <para>The <emphasis role="bold">smartclient</emphasis> lets remote clients
  download classes and other resources necessary for connecting to
  <xi:include href="../../variables.xml" xpointer="appserver" /> services
  (JNDI context factories, EJB3 interceptors, ...) directly from the
  <xi:include href="../../variables.xml" xpointer="appserver" /> server
  they're dealing with.</para>

  <para>This way, the heavy clients only need to include a lightweight JAR file
  for the Smartclient client and are always guaranteed to have the good
  versions of all components.</para>

  <para>Here is the part of <filename>jonas.properties</filename> concerning
  the <emphasis role="bold">smartclient</emphasis> service:</para>

  <para xml:id="screen_smartclient_service"><screen>###################### JOnAS/EasyBeans Smartclient service configuration
#
#  Set the name of the implementation class of the smartclient service.
jonas.service.smartclient.class         org.ow2.jonas.smartclient.internal.SmartclientServiceImpl
# port number the Smartclient service listens on
jonas.service.smartclient.port          2503
</screen></para>
</section>